[arch-commits] Commit in wget/repos (6 files)

Allan McRae allan at archlinux.org
Fri Aug 10 09:03:30 UTC 2012


    Date: Friday, August 10, 2012 @ 05:03:30
  Author: allan
Revision: 165091

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  wget/repos/extra-i686/
  wget/repos/extra-i686/PKGBUILD
    (from rev 165090, wget/trunk/PKGBUILD)
  wget/repos/extra-i686/wget.install
    (from rev 165090, wget/trunk/wget.install)
  wget/repos/extra-x86_64/
  wget/repos/extra-x86_64/PKGBUILD
    (from rev 165090, wget/trunk/PKGBUILD)
  wget/repos/extra-x86_64/wget.install
    (from rev 165090, wget/trunk/wget.install)

---------------------------+
 extra-i686/PKGBUILD       |   45 ++++++++++++++++++++++++++++++++++++++++++++
 extra-i686/wget.install   |   20 +++++++++++++++++++
 extra-x86_64/PKGBUILD     |   45 ++++++++++++++++++++++++++++++++++++++++++++
 extra-x86_64/wget.install |   20 +++++++++++++++++++
 4 files changed, 130 insertions(+)

Copied: wget/repos/extra-i686/PKGBUILD (from rev 165090, wget/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2012-08-10 09:03:30 UTC (rev 165091)
@@ -0,0 +1,45 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: Judd Vinet <jvinet at zeroflux.org>
+
+pkgname=wget
+pkgver=1.14
+pkgrel=1
+pkgdesc="A network utility to retrieve files from the Web"
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/software/wget/wget.html"
+license=('GPL3')
+depends=('glibc' 'openssl')
+optdepends=('ca-certificates: HTTPS downloads')
+backup=('etc/wgetrc')
+install=wget.install
+source=(ftp://ftp.gnu.org/gnu/${pkgname}/${pkgname}-${pkgver}.tar.xz{,.sig})
+md5sums=('316f6f59292c9098ad81fd54f658c579'
+         '3e121933d69f32fa58776bff76bcebd0')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+  # Note : We do not build with --enable-nls, because there is a bug in wget causing
+  # international domain names to be not properly converted to punycode if
+  # the current locale is a UTF-8 one
+  # See : http://lists.gnu.org/archive/html/bug-wget/2011-02/msg00026.html
+
+  ./configure -with-ssl=openssl --prefix=/usr --sysconfdir=/etc
+  make
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+
+  cat >> "$pkgdir/etc/wgetrc" <<EOF
+
+# default root certs location
+ca_certificate=/etc/ssl/certs/ca-certificates.crt
+EOF
+
+  # remove IRI option from wgetrc as it does not work (see above)
+  sed -i '118,120d' $pkgdir/etc/wgetrc
+
+}

Copied: wget/repos/extra-i686/wget.install (from rev 165090, wget/trunk/wget.install)
===================================================================
--- extra-i686/wget.install	                        (rev 0)
+++ extra-i686/wget.install	2012-08-10 09:03:30 UTC (rev 165091)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(wget.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}

Copied: wget/repos/extra-x86_64/PKGBUILD (from rev 165090, wget/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2012-08-10 09:03:30 UTC (rev 165091)
@@ -0,0 +1,45 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: Judd Vinet <jvinet at zeroflux.org>
+
+pkgname=wget
+pkgver=1.14
+pkgrel=1
+pkgdesc="A network utility to retrieve files from the Web"
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/software/wget/wget.html"
+license=('GPL3')
+depends=('glibc' 'openssl')
+optdepends=('ca-certificates: HTTPS downloads')
+backup=('etc/wgetrc')
+install=wget.install
+source=(ftp://ftp.gnu.org/gnu/${pkgname}/${pkgname}-${pkgver}.tar.xz{,.sig})
+md5sums=('316f6f59292c9098ad81fd54f658c579'
+         '3e121933d69f32fa58776bff76bcebd0')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+  # Note : We do not build with --enable-nls, because there is a bug in wget causing
+  # international domain names to be not properly converted to punycode if
+  # the current locale is a UTF-8 one
+  # See : http://lists.gnu.org/archive/html/bug-wget/2011-02/msg00026.html
+
+  ./configure -with-ssl=openssl --prefix=/usr --sysconfdir=/etc
+  make
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+
+  cat >> "$pkgdir/etc/wgetrc" <<EOF
+
+# default root certs location
+ca_certificate=/etc/ssl/certs/ca-certificates.crt
+EOF
+
+  # remove IRI option from wgetrc as it does not work (see above)
+  sed -i '118,120d' $pkgdir/etc/wgetrc
+
+}

Copied: wget/repos/extra-x86_64/wget.install (from rev 165090, wget/trunk/wget.install)
===================================================================
--- extra-x86_64/wget.install	                        (rev 0)
+++ extra-x86_64/wget.install	2012-08-10 09:03:30 UTC (rev 165091)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(wget.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}




More information about the arch-commits mailing list